How to use offers

Learn how to provide offers.

Getting an offer by identifier

You can get a specific offer identifier by submitting a GET /shoppers/me/offers/{offerId}arrow-up-right request. A successful request returns a 200 OK response.

curl --location --request GET 
'https://api.digitalriver.com/shoppers/me/offers/{offerId}' \
--header 'Authorization: Bearer <API_key>' \
...

Getting the product for the offer

You can get a specific product for an offer by submitting a GET /shoppers/me/offers/{offerId}/product-offers/{productOfferId}arrow-up-right request. A successful request returns a 200 OK response.

curl --location --request GET 
'https://api.digitalriver.com/shoppers/me/offers/{offerId}/product-offers/{productOfferId}' \
--header 'Authorization: Bearer <API_key>' \
...

Retrieving all offers for a product

You can get all offers for a specific product by submitting a GET /shoppers/me/products/{productId}/offersarrow-up-right request. A successful request returns a 200 OK response.

curl --location --request GET 
'https://api.digitalriver.com/shoppers/me/products/{productId}/offers' \
--header 'Authorization: Bearer <API_key>' \
...

Retrieving all offers

You can retrieve all offers for a specific product by submitting a GET /shoppers/me/offersarrow-up-right request.

The retrieved offers include:

  • All always-triggered offers

  • All user-triggered promotional URLs and externally triggered offers

  • All user-triggered coupon code offers

A successful request returns a 200 OK response.

Getting all products for the offer

You can get all products for an offer by submitting a GET /shoppers/me/offers/{offerId}/product-offersarrow-up-right request. A successful request returns a 200 OK response.

Last updated